package engine

import (
	"strings"

	nebulav1 "github.com/exchain/go-exchain/exchain/protocol/gen/go/nebula/v1"
)

func (e *Engine) ProcessCreatePair(tx *nebulav1.CreatePairTransaction) error {
	err := e.db.CreatePair([]string{tx.BaseCoin.Symbol, tx.QuoteCoin.Symbol})
	return err
}

func (e *Engine) ProcessDisablePair(tx *nebulav1.DisablePairTransaction) error {
	pair := strings.Split(tx.PairName, "-")
	err := e.db.DisablePair(pair)
	return err
}
